登录 注册

登录

问题 Joomla 1.6 修改菜单项目失败(与数据库有关)的问题

更多
2011年07月14日 03:21 #21 作者: blueskt
按这个方法试试, 我上次测试1.64都没有这个问题了,估计你那边还是服务器环境的问题.

1. 修改“installation/index.php”的line:10,将 5.2.4 修改为5.2.0

if (version_compare(PHP_VERSION, '5.2.4', '<')) {
die('Your host needs to use PHP 5.2.4 or higher to run Joomla 1.6.');
}

复制代码

if (version_compare(PHP_VERSION, '5.2.0', '<')) {
die('Your host needs to use PHP 5.2.0 or higher to run Joomla 1.6.');
}

复制代码
2. 修改“installation\models\setup.php”。这里有两处,分别是:Line:224和225,同样将5.2.4修改为5.2.0

$option->label = JText::_('INSTL_PHP_VERSION').' >= 5.2.4';
$option->state = version_compare(PHP_VERSION, '5.2.4', '>=');

复制代码

$option->label = JText::_('INSTL_PHP_VERSION').' >= 5.2.0';
$option->state = version_compare(PHP_VERSION, '5.2.0', '>=');

复制代码

我的joomla网站 童星广场

登录 或者   注册一个会员帐号 来参与讨论

更多
2011年07月14日 03:27 #22 作者: blueskt
mysql 你最好要求他们给装5.1以上的版本.

我的joomla网站 童星广场

登录 或者   注册一个会员帐号 来参与讨论

更多
2011年07月14日 03:27 #23 作者: 先知大门
好,安装文件上传一半了,上传完毕就改,然后安装

希望这次OK,出汗

登录 或者   注册一个会员帐号 来参与讨论

更多
2011年07月14日 03:30 #24 作者: 先知大门
用的最便宜的虚拟主机,数据库是公用的,除非换主机...

登录 或者   注册一个会员帐号 来参与讨论

更多
2011年07月14日 03:34 #25 作者: 先知大门
不行的话就只好去用1.5.23了

只是简单的企业站,想体验一下新版功能,所以下了1.6

其实1.5就够用

登录 或者   注册一个会员帐号 来参与讨论

更多
2011年07月14日 03:38 #26 作者: blueskt
那我估计比较悬, 最好让他们的技术帮忙调整一下.

我的joomla网站 童星广场

登录 或者   注册一个会员帐号 来参与讨论

更多
2011年07月14日 03:43 #27 作者: 先知大门
康盛主机的客服很牛,根本不让我跟他们技术沟通,告诉我不行就换主机...

人家不差钱了!!

上传好了,我按你的方法改了试试啊,一会说结果

登录 或者   注册一个会员帐号 来参与讨论

更多
2011年07月14日 03:55 #28 作者: 先知大门
PHP版本 >= 5.2.0 是
Zlib压缩支持 是
XML 支持 是
MySQL支持 是
MB Language已被设置为默认 是
关闭MB String Overload 是
INI Parser支持 是
JSON支持 是
configuration.php 可写 是

登录 或者   注册一个会员帐号 来参与讨论

更多
2011年07月14日 03:56 #29 作者: 先知大门
唯一不同的是这个推荐设置:

错误显示: 关 开

登录 或者   注册一个会员帐号 来参与讨论

更多
2011年07月14日 03:59 #30 作者: 先知大门

登录 或者   注册一个会员帐号 来参与讨论

更多
2011年07月14日 04:03 #31 作者: blueskt
你先试试mysql吧, mysqli也可以,它的查询次数少一些 ,服务器压力小点, 就看你以后用什么其他组件了.

我的joomla网站 童星广场

登录 或者   注册一个会员帐号 来参与讨论

更多
2011年07月14日 04:03 #32 作者: blueskt
我要出去了, 自己先试试吧.

我的joomla网站 童星广场

登录 或者   注册一个会员帐号 来参与讨论

更多
2011年07月14日 04:05 #33 作者: 先知大门
刚才选了mysqli
上次选的mysql

这次依然悲剧

放弃1.6了

登录 或者   注册一个会员帐号 来参与讨论

更多
2011年07月14日 04:12 #34 作者: 先知大门
服务器信息 Linux vhost75.myverydz.com 2.6.18-194.el5 #1 SMP Fri Apr 2 14:58:35 EDT 2010 i686
数据库版本 5.0.22-log
数据库连接校对 utf8_general_ci
PHP 版本 5.2.4
Web服务器 Apache/2.2.3 (Red Hat)
Web服务器到PHP的接口 cgi
Joomla! 版本 Joomla! 1.6.5 Stable [ Onward ] 11-Jul-2011 23:00 GMT

登录 或者   注册一个会员帐号 来参与讨论

更多
2011年07月14日 04:14 #35 作者: 先知大门
PHP相关设置
设置 值

Safe Mode 关
Open basedir /www/users/:/tmp/
显示错误 开
Short Open Tags 开
文件上传 开
Magic Quotes 开
Register Globals 关
Output Buffering 关
Session Save Path /tmp
Session Auto Start 0
XML 启用 是
Zlib 启用 是
禁用功能 phpinfo,passthru,exec,system,chroot,scandir,chgrp,chown,shell_exec,proc_open,proc_get_status,error_log,ini_alter,ini_restore,dl,pfsockopen,openlog,syslog,readlink,symlink,popepassthru,stream_socket_server,escapeshellcmd,escapeshellarg,leak,putenv,popen
Mbstring 启用 是
图标可用 是

登录 或者   注册一个会员帐号 来参与讨论

更多
2011年07月14日 13:36 #36 作者: Viprhz
我汗,你们俩完全版聊了。我回来一看邮件。我的个乖乖,一大堆论坛的回复邮件。不过,那个问题我后来没去折腾了,直接换了WordPress。因为我不用论坛,我要的是个人网站。

登录 或者   注册一个会员帐号 来参与讨论

更多
2011年07月15日 02:40 #37 作者: blueskt
哈哈!我的邮箱也一大堆啊! 不过我后来试了两次已经没有那个问题了. 一直用1.5和JS ,现在准备改成SE了.

我的joomla网站 童星广场

登录 或者   注册一个会员帐号 来参与讨论

更多
2011年07月16日 05:05 #38 作者: hcy
我安装和迁移Joomla1.6,一点问题都没有。

jm16.j8866.com

Joomla(九木塔)其实是一个很好很好的东东。 QQ: 5788 125 96 欢迎联系

登录 或者   注册一个会员帐号 来参与讨论

更多
2011年11月11日 09:52 #39 作者: wengebin
"Access denied"访问被拒绝,根据SQL语句就知道数据库被锁表了,要释放被锁的表!

进phpmyadmin管理数据库,进入项目说在的数据库,点右侧的“SQL”,输入框内输入“UNLOCK TABLES”执行就可以解锁~~~

登录 或者   注册一个会员帐号 来参与讨论

更多
2011年11月22日 00:51 #40 作者: 董希彬
这个问题我从昨晚8点研究到凌晨1点30分左右的时候,终于研究出来啦,就学了2天joomla就研究到这份,很不错啦哈,昨晚费我老劲啦。。。为自己的执着加油! :P

这是因为joomla1.5版本没有加入lock table机制,而在以后的升级中有啦lock table机制,也是从各个性能和安全方面考虑的。
解决办法目前有两个感觉可行:
1、对joomla操作数据库的用户在mysql里进行lock table的权限分配(这个我没有试验,因为空间商不是自己的,技术不会因为我一个这样破问题给我分配权限)
2、所以方法二就应运而生啦,也是我研究到那么晚迫不得已的办法,我又不想换回1.5版本,那就是直接改动joomla1.7源代码吧!把其lock table机制去掉,包你好用,本人就是这么干的。但是这不如方法一哦,有钱还是买个vps吧,权限大一点。。。 :evil:

还是不明白的可以查看我的这篇博文: http://www.sinayou.com/blog/?p=175 :evil:
或者加我qq:614118205 ,刚研究joomla ,希望认识跟多的朋友!

登录 或者   注册一个会员帐号 来参与讨论